<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionSafeZoneSettings Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d09/a04385.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionSafeZoneSettings Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>SafeZone settings class.  
 <a href="../../de/d09/a04385.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for ExpansionSafeZoneSettings:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../de/d09/a04385.png" usemap="#ExpansionSafeZoneSettings_map" alt=""/>
  <map id="ExpansionSafeZoneSettings_map" name="ExpansionSafeZoneSettings_map">
<area href="../../d7/d17/a04381.html" title="Safezone settings base class." alt="ExpansionSafeZoneSettingsBase" shape="rect" coords="0,0,198,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a2e55a7c7ee0fec0861ff16c58130115c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d09/a04385.html#a2e55a7c7ee0fec0861ff16c58130115c">ExpansionSafeZoneSettings</a> ()</td></tr>
<tr class="separator:a2e55a7c7ee0fec0861ff16c58130115c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0061b8fb813afdec666c6c4045a6976"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d09/a04385.html#aa0061b8fb813afdec666c6c4045a6976">OnRecieve</a> (ParamsReadContext ctx)</td></tr>
<tr class="separator:aa0061b8fb813afdec666c6c4045a6976"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7cbe7ff77cd0cc29a345329c9a66665c"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d09/a04385.html#a7cbe7ff77cd0cc29a345329c9a66665c">OnSend</a> (ParamsWriteContext ctx)</td></tr>
<tr class="separator:a7cbe7ff77cd0cc29a345329c9a66665c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a745b4d2d6b285cc95851d48ed93b47bd"><td class="memItemLeft" align="right" valign="top">override int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d09/a04385.html#a745b4d2d6b285cc95851d48ed93b47bd">Send</a> (PlayerIdentity identity)</td></tr>
<tr class="separator:a745b4d2d6b285cc95851d48ed93b47bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afad12cdc500273e88ee5d91537ff64ab"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d09/a04385.html#afad12cdc500273e88ee5d91537ff64ab">Copy</a> (<a class="el" href="../../d5/df8/a04353.html">ExpansionSettingBase</a> setting)</td></tr>
<tr class="separator:afad12cdc500273e88ee5d91537ff64ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3572ade930682dd37f33761deca4eacd"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d09/a04385.html#a3572ade930682dd37f33761deca4eacd">CopyInternal</a> (<a class="el" href="../../de/d09/a04385.html">ExpansionSafeZoneSettings</a> s)</td></tr>
<tr class="separator:a3572ade930682dd37f33761deca4eacd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae745037bd100ca829a24c51e96539165"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d09/a04385.html#ae745037bd100ca829a24c51e96539165">CopyInternal</a> (<a class="el" href="../../d7/d17/a04381.html">ExpansionSafeZoneSettingsBase</a> s)</td></tr>
<tr class="separator:ae745037bd100ca829a24c51e96539165"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f9d09fc9bfb1da2ee9afcc2df1d4f10"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d09/a04385.html#a1f9d09fc9bfb1da2ee9afcc2df1d4f10">IsLoaded</a> ()</td></tr>
<tr class="separator:a1f9d09fc9bfb1da2ee9afcc2df1d4f10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae85c9284946aae701005880fd420172e"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d09/a04385.html#ae85c9284946aae701005880fd420172e">Unload</a> ()</td></tr>
<tr class="separator:ae85c9284946aae701005880fd420172e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9bd87e0aa87be4d99317b2cc8ba501f"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d09/a04385.html#ad9bd87e0aa87be4d99317b2cc8ba501f">OnLoad</a> ()</td></tr>
<tr class="separator:ad9bd87e0aa87be4d99317b2cc8ba501f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3473f43283cd8998452f345bae259be3"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d09/a04385.html#a3473f43283cd8998452f345bae259be3">OnSave</a> ()</td></tr>
<tr class="separator:a3473f43283cd8998452f345bae259be3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc676763382d6a3ed6c9a5936d0ad73c"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d09/a04385.html#adc676763382d6a3ed6c9a5936d0ad73c">Defaults</a> ()</td></tr>
<tr class="separator:adc676763382d6a3ed6c9a5936d0ad73c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac25179dc9e3e62e5472857756ba44874"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d09/a04385.html#ac25179dc9e3e62e5472857756ba44874">SettingName</a> ()</td></tr>
<tr class="separator:ac25179dc9e3e62e5472857756ba44874"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a8125e46a3745c9ae43ce96f8e1317d9f"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d09/a04385.html#a8125e46a3745c9ae43ce96f8e1317d9f">ActorsPerTick</a></td></tr>
<tr class="separator:a8125e46a3745c9ae43ce96f8e1317d9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35c1913aa5df16ad57d6ec767bc1d9b3"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d09/a04385.html#a35c1913aa5df16ad57d6ec767bc1d9b3">DisableVehicleDamageInSafeZone</a></td></tr>
<tr class="separator:a35c1913aa5df16ad57d6ec767bc1d9b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6619faaf2bbbe1c79747e7fc2cfcf43"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d09/a04385.html#ab6619faaf2bbbe1c79747e7fc2cfcf43">EnableForceSZCleanup</a></td></tr>
<tr class="separator:ab6619faaf2bbbe1c79747e7fc2cfcf43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a007afc4d58d9e2e2bbbe56e5a4bb60f3"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d09/a04385.html#a007afc4d58d9e2e2bbbe56e5a4bb60f3">ItemLifetimeInSafeZone</a></td></tr>
<tr class="separator:a007afc4d58d9e2e2bbbe56e5a4bb60f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4561db3bf8f5ed854d93d1e3143227aa"><td class="memItemLeft" align="right" valign="top">autoptr TStringArray&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d09/a04385.html#a4561db3bf8f5ed854d93d1e3143227aa">ForceSZCleanup_ExcludedItems</a> = new TStringArray</td></tr>
<tr class="separator:a4561db3bf8f5ed854d93d1e3143227aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add43f0d1bf9cace866d1780d31697b53"><td class="memItemLeft" align="right" valign="top">private bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d09/a04385.html#add43f0d1bf9cace866d1780d31697b53">m_IsLoaded</a></td></tr>
<tr class="separator:add43f0d1bf9cace866d1780d31697b53"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-static-attribs" name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:aa398175b552c7a3da1b476fa064ce21c"><td class="memItemLeft" align="right" valign="top">static const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d09/a04385.html#aa398175b552c7a3da1b476fa064ce21c">VERSION</a> = 7</td></tr>
<tr class="separator:aa398175b552c7a3da1b476fa064ce21c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >SafeZone settings class. </p>

<p class="definition">Definition at line <a class="el" href="../../d4/ddc/a00917_source.html#l00035">35</a> of file <a class="el" href="../../d4/ddc/a00917_source.html">expansionsafezonesettings.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a2e55a7c7ee0fec0861ff16c58130115c" name="a2e55a7c7ee0fec0861ff16c58130115c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e55a7c7ee0fec0861ff16c58130115c">&#9670;&#160;</a></span>ExpansionSafeZoneSettings()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionSafeZoneSettings::ExpansionSafeZoneSettings </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/ddc/a00917_source.html#l00048">48</a> of file <a class="el" href="../../d4/ddc/a00917_source.html">expansionsafezonesettings.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="afad12cdc500273e88ee5d91537ff64ab" name="afad12cdc500273e88ee5d91537ff64ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afad12cdc500273e88ee5d91537ff64ab">&#9670;&#160;</a></span>Copy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionSafeZoneSettings::Copy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/df8/a04353.html">ExpansionSettingBase</a>&#160;</td>
          <td class="paramname"><em>setting</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/ddc/a00917_source.html#l00088">88</a> of file <a class="el" href="../../d4/ddc/a00917_source.html">expansionsafezonesettings.c</a>.</p>

</div>
</div>
<a id="a3572ade930682dd37f33761deca4eacd" name="a3572ade930682dd37f33761deca4eacd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3572ade930682dd37f33761deca4eacd">&#9670;&#160;</a></span>CopyInternal() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void ExpansionSafeZoneSettings::CopyInternal </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../de/d09/a04385.html">ExpansionSafeZoneSettings</a>&#160;</td>
          <td class="paramname"><em>s</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/ddc/a00917_source.html#l00099">99</a> of file <a class="el" href="../../d4/ddc/a00917_source.html">expansionsafezonesettings.c</a>.</p>

</div>
</div>
<a id="ae745037bd100ca829a24c51e96539165" name="ae745037bd100ca829a24c51e96539165"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae745037bd100ca829a24c51e96539165">&#9670;&#160;</a></span>CopyInternal() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void ExpansionSafeZoneSettings::CopyInternal </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/d17/a04381.html">ExpansionSafeZoneSettingsBase</a>&#160;</td>
          <td class="paramname"><em>s</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/ddc/a00917_source.html#l00112">112</a> of file <a class="el" href="../../d4/ddc/a00917_source.html">expansionsafezonesettings.c</a>.</p>

</div>
</div>
<a id="adc676763382d6a3ed6c9a5936d0ad73c" name="adc676763382d6a3ed6c9a5936d0ad73c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc676763382d6a3ed6c9a5936d0ad73c">&#9670;&#160;</a></span>Defaults()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionSafeZoneSettings::Defaults </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >15 Minutes</p>

<p class="definition">Definition at line <a class="el" href="../../d4/ddc/a00917_source.html#l00239">239</a> of file <a class="el" href="../../d4/ddc/a00917_source.html">expansionsafezonesettings.c</a>.</p>

</div>
</div>
<a id="a1f9d09fc9bfb1da2ee9afcc2df1d4f10" name="a1f9d09fc9bfb1da2ee9afcc2df1d4f10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1f9d09fc9bfb1da2ee9afcc2df1d4f10">&#9670;&#160;</a></span>IsLoaded()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionSafeZoneSettings::IsLoaded </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/ddc/a00917_source.html#l00135">135</a> of file <a class="el" href="../../d4/ddc/a00917_source.html">expansionsafezonesettings.c</a>.</p>

</div>
</div>
<a id="ad9bd87e0aa87be4d99317b2cc8ba501f" name="ad9bd87e0aa87be4d99317b2cc8ba501f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9bd87e0aa87be4d99317b2cc8ba501f">&#9670;&#160;</a></span>OnLoad()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionSafeZoneSettings::OnLoad </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Move existing settings file over from old location in $profile to new location in $mission</p>
<p >Copy over old settings that haven't changed</p>

<p class="definition">Definition at line <a class="el" href="../../d4/ddc/a00917_source.html#l00147">147</a> of file <a class="el" href="../../d4/ddc/a00917_source.html">expansionsafezonesettings.c</a>.</p>

</div>
</div>
<a id="aa0061b8fb813afdec666c6c4045a6976" name="aa0061b8fb813afdec666c6c4045a6976"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa0061b8fb813afdec666c6c4045a6976">&#9670;&#160;</a></span>OnRecieve()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionSafeZoneSettings::OnRecieve </td>
          <td>(</td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/ddc/a00917_source.html#l00051">51</a> of file <a class="el" href="../../d4/ddc/a00917_source.html">expansionsafezonesettings.c</a>.</p>

</div>
</div>
<a id="a3473f43283cd8998452f345bae259be3" name="a3473f43283cd8998452f345bae259be3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3473f43283cd8998452f345bae259be3">&#9670;&#160;</a></span>OnSave()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionSafeZoneSettings::OnSave </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/ddc/a00917_source.html#l00229">229</a> of file <a class="el" href="../../d4/ddc/a00917_source.html">expansionsafezonesettings.c</a>.</p>

</div>
</div>
<a id="a7cbe7ff77cd0cc29a345329c9a66665c" name="a7cbe7ff77cd0cc29a345329c9a66665c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7cbe7ff77cd0cc29a345329c9a66665c">&#9670;&#160;</a></span>OnSend()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionSafeZoneSettings::OnSend </td>
          <td>(</td>
          <td class="paramtype">ParamsWriteContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/ddc/a00917_source.html#l00074">74</a> of file <a class="el" href="../../d4/ddc/a00917_source.html">expansionsafezonesettings.c</a>.</p>

</div>
</div>
<a id="a745b4d2d6b285cc95851d48ed93b47bd" name="a745b4d2d6b285cc95851d48ed93b47bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a745b4d2d6b285cc95851d48ed93b47bd">&#9670;&#160;</a></span>Send()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override int ExpansionSafeZoneSettings::Send </td>
          <td>(</td>
          <td class="paramtype">PlayerIdentity&#160;</td>
          <td class="paramname"><em>identity</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/ddc/a00917_source.html#l00082">82</a> of file <a class="el" href="../../d4/ddc/a00917_source.html">expansionsafezonesettings.c</a>.</p>

</div>
</div>
<a id="ac25179dc9e3e62e5472857756ba44874" name="ac25179dc9e3e62e5472857756ba44874"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac25179dc9e3e62e5472857756ba44874">&#9670;&#160;</a></span>SettingName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionSafeZoneSettings::SettingName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/ddc/a00917_source.html#l00307">307</a> of file <a class="el" href="../../d4/ddc/a00917_source.html">expansionsafezonesettings.c</a>.</p>

</div>
</div>
<a id="ae85c9284946aae701005880fd420172e" name="ae85c9284946aae701005880fd420172e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae85c9284946aae701005880fd420172e">&#9670;&#160;</a></span>Unload()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionSafeZoneSettings::Unload </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/ddc/a00917_source.html#l00141">141</a> of file <a class="el" href="../../d4/ddc/a00917_source.html">expansionsafezonesettings.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a8125e46a3745c9ae43ce96f8e1317d9f" name="a8125e46a3745c9ae43ce96f8e1317d9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8125e46a3745c9ae43ce96f8e1317d9f">&#9670;&#160;</a></span>ActorsPerTick</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionSafeZoneSettings::ActorsPerTick</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/ddc/a00917_source.html#l00039">39</a> of file <a class="el" href="../../d4/ddc/a00917_source.html">expansionsafezonesettings.c</a>.</p>

</div>
</div>
<a id="a35c1913aa5df16ad57d6ec767bc1d9b3" name="a35c1913aa5df16ad57d6ec767bc1d9b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35c1913aa5df16ad57d6ec767bc1d9b3">&#9670;&#160;</a></span>DisableVehicleDamageInSafeZone</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionSafeZoneSettings::DisableVehicleDamageInSafeZone</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/ddc/a00917_source.html#l00040">40</a> of file <a class="el" href="../../d4/ddc/a00917_source.html">expansionsafezonesettings.c</a>.</p>

</div>
</div>
<a id="ab6619faaf2bbbe1c79747e7fc2cfcf43" name="ab6619faaf2bbbe1c79747e7fc2cfcf43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6619faaf2bbbe1c79747e7fc2cfcf43">&#9670;&#160;</a></span>EnableForceSZCleanup</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionSafeZoneSettings::EnableForceSZCleanup</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/ddc/a00917_source.html#l00041">41</a> of file <a class="el" href="../../d4/ddc/a00917_source.html">expansionsafezonesettings.c</a>.</p>

</div>
</div>
<a id="a4561db3bf8f5ed854d93d1e3143227aa" name="a4561db3bf8f5ed854d93d1e3143227aa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4561db3bf8f5ed854d93d1e3143227aa">&#9670;&#160;</a></span>ForceSZCleanup_ExcludedItems</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">autoptr TStringArray ExpansionSafeZoneSettings::ForceSZCleanup_ExcludedItems = new TStringArray</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/ddc/a00917_source.html#l00043">43</a> of file <a class="el" href="../../d4/ddc/a00917_source.html">expansionsafezonesettings.c</a>.</p>

</div>
</div>
<a id="a007afc4d58d9e2e2bbbe56e5a4bb60f3" name="a007afc4d58d9e2e2bbbe56e5a4bb60f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a007afc4d58d9e2e2bbbe56e5a4bb60f3">&#9670;&#160;</a></span>ItemLifetimeInSafeZone</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionSafeZoneSettings::ItemLifetimeInSafeZone</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/ddc/a00917_source.html#l00042">42</a> of file <a class="el" href="../../d4/ddc/a00917_source.html">expansionsafezonesettings.c</a>.</p>

</div>
</div>
<a id="add43f0d1bf9cace866d1780d31697b53" name="add43f0d1bf9cace866d1780d31697b53"></a>
<h2 class="memtitle"><span class="permalink"><a href="#add43f0d1bf9cace866d1780d31697b53">&#9670;&#160;</a></span>m_IsLoaded</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private bool ExpansionSafeZoneSettings::m_IsLoaded</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/ddc/a00917_source.html#l00046">46</a> of file <a class="el" href="../../d4/ddc/a00917_source.html">expansionsafezonesettings.c</a>.</p>

</div>
</div>
<a id="aa398175b552c7a3da1b476fa064ce21c" name="aa398175b552c7a3da1b476fa064ce21c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa398175b552c7a3da1b476fa064ce21c">&#9670;&#160;</a></span>VERSION</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int ExpansionSafeZoneSettings::VERSION = 7</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d4/ddc/a00917_source.html#l00037">37</a> of file <a class="el" href="../../d4/ddc/a00917_source.html">expansionsafezonesettings.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/settings/safezone/<a class="el" href="../../d4/ddc/a00917_source.html">expansionsafezonesettings.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../de/d09/a04385.html">ExpansionSafeZoneSettings</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
